/*    
	imlabel.h
	
	QLabel representing an IM contact
	
	Copyright (c) 2004 Will Stephenson   <lists@stevello.free-online.co.uk>

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/

#ifndef IMLABEL_H
#define IMLABEL_H

#include <kabc/addressee.h>

//#include <qlabel.h>
#include "imlabelbase.h"

class QPopupMenu;
class KIMProxy;

class IMLabel : public IMLabelBase
{
Q_OBJECT
public:
	IMLabel( QWidget *parent, KIMProxy* proxy );
	IMLabel( QWidget *parent, KIMProxy* proxy, const KABC::Addressee& addressee );
	~IMLabel();
	void setAddressee( const KABC::Addressee& addressee );
	KABC::Addressee addressee();
	QPixmap getAddressBookPicture();
	QPixmap renderIcon( QPixmap base, const QString& overlay, bool idle = false) const;
// 	void resizeEvent( QResizeEvent *e );
	void mousePressEvent( QMouseEvent *e );
	void dragEnterEvent( QDragEnterEvent* event );
	void dropEvent( QDropEvent* event );
public slots:
	void statusChanged( const QString & uid );
	void chat();
	void message();
	void sendFile();

protected slots:

protected:
	void initMenu();
	KABC::Addressee m_addressee;
	KIMProxy *m_proxy;
	QPopupMenu *m_menu;
};

#endif

